# stuff to be implemented externally:
Source10:       kmodtool
%define         kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.22.5-76.fc7}

%define kmod_name kqemu
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
# xen uses a different version; ignore
#define xenvar xen
# don't build for debug kernels
#define debugvar debug PAE-debug
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        1.3.0
Release:        0.1.pre11.%(echo %{kverrel} | tr - _)
Summary:        The QEMU Accelerator Module (KQEMU)

Group:          System Environment/Kernel
License:        GPL
URL:            http://fabrice.bellard.free.fr/qemu
Source0:        http://fabrice.bellard.free.fr/qemu/kqemu-%{version}pre11.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       kqemu-kmod-common >= %{version}

%description
The QEMU Accelerator Module increases the speed of QEMU when a PC is 
emulated on a PC. It runs most of the target application code directly 
on the host processor to achieve near native performance. 

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5

%setup -q -c -n kqemu-%{version}pre11

for kvariant in %{kvariants} ; do
  cp -a %{kmod_name}-%{version}pre11 _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants};do
pushd _kmod_build_$kvariant
%configure \
  --libdir=%{_libdir} \
  --kernel-path=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu} 
#  --cc=gcc34 \
#  --host-cc=gcc34 
make 
popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants};do
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant
install -D -m 0644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
popd
done

chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Feb 09 2007 kwizart < kwizart at gmail.com > - 1.3.0-0.1.pre11
- Initial GPL Release.
